﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Automation;
using System.Windows.Automation.Peers;
using System.Windows.Automation.Provider;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Automation.Peers;
using Telerik.Windows.Controls;

namespace ComboBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            IList<string> source = new List<string>() { "Item 1", "Item 2", "Item 3", "Item 4", "Item 5" };

            sourceEditableCombo.ItemsSource = source;
            sourceNotEditableCombo.ItemsSource = source;
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var peer = new RadComboBoxAutomationPeer(editableCombo);
            IExpandCollapseProvider provider = (IExpandCollapseProvider)peer.GetPattern(PatternInterface.ExpandCollapse);
            provider.Expand();
        }

    }
}
